package com.junit.resource;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import com.junit.bean.Product;
import com.junit.service.ProductService;
import com.junit.service.ProductServiceImpl;

class ProductResourceTest {
	
	/*
	 * @Mock ProductService productService;
	 */

	@Test
	void testGetPrice() {
		ProductService productService = mock(ProductService.class);
		Product pen = new Product(101, "Pen", 15, 10);
		when(productService.getTotalPrice(pen)).thenReturn(150.0);
		assertEquals(productService.getTotalPrice(pen), 150.0);
	}

}
